.sidebar {
  background: $color-1;
  border-radius: $borderRadius;
  color:$black;
  display: grid;
  font-family: $font-3;
  //grid-auto-columns: auto;
  grid-template-areas:
    "1"
    "2"
    "3";
  grid-template-columns: 1fr;
  grid-template-rows: 250px 1fr 108px;
  height: 100%;
  min-height: $minHeight;
  min-width: 264px;
  position: relative;

  .id {
    grid-area: 1;
    position: relative;
    text-align: center;
    top: 90px;
    user-select: none;

    .idContent {
      bottom: 0;
      left: 50%;
      position: absolute;
      transform: translateX(-50%);
      width: 100%;

      img {
        border-radius: 50%;
        box-shadow: 0 0 0 4px $white, 0 0 0 8px $color-2, 0 0 0 12px $black;
      }

      h3 {
        color: $white;
        font-size: 1.3rem;
        letter-spacing: .2rem;
        margin-top: 1.5rem;
        text-transform: uppercase;
      }

      h4 {
        font-family: $font-signature;
        font-size: large;
      }
    }
  }

  .navigation {
    grid-area: 2;
    padding: 2rem 1rem;

    ul {
      display: grid;
      height: 80%;
      margin-top: 5rem;

      li {
        font-size: 1.3rem;
        padding: .5rem 0 .5rem .4rem;
        position: relative;

        &:hover i {
          transform: translate(3px, 3px);
        }

        a {
          color: $color-4;
        }

        .navActive {
          color: $white;
        }

        i {
          font-size: 0.95rem;
          position: absolute;
          transform: translateY(3px);
          transition: .2s ease;
        }

        span {
          margin-left: 2.7rem;
        }
      }
    }
  }

  .socialNetwork {
    grid-area: 3;

    ul {
      display: flex;
      justify-content: space-between;
      padding: 0 14px;
      width: 264px;

      li {
        background: $color-4;
        border-radius: 50%;
        color: $color-1;
        cursor: pointer;
        font-size: 1.5rem;
        padding: .5rem 0.8rem;
        transition: .3s;

        a:visited {
          color: $color-5;
        }

        &:nth-child(1){
          padding: .5rem .85rem
        }

        &:nth-child(4){
          padding: .5rem .75rem
        }

        &:hover {
          background: $color-2;
        }
      }
    }

    .signature {
      font-family: $font-signature;
      font-size: .7rem;
      letter-spacing: 0.1rem;
      margin-top: 2rem;
      text-align: center;

      a, a:visited {
        color: $color-5;

        &:hover {
          color: $color-4;
        }
      }
    }
  }
}

@media screen and (max-width: 850px){
  .sidebar {
    display: flex;
    min-height: 50px;
    margin-bottom: .2rem;
    //width: 100%;

    .id, .socialNetwork {
      display: none;
    }

    .navigation {
      width: 100%;
      padding: .1rem 1rem;

      ul {
        display: flex;
        justify-content: space-between;
        //height: 80%;
        //height: 100%;
        margin-top: 0rem;


          span {
          margin-left: 1.5rem !important;
        }
      }
    }
  }
}

@media screen and (max-width:580px){
  .sidebar {
    ul {
      justify-content: space-around !important;

      li {
        padding: 1rem 0 !important;
      }
      i {
        font-size: 1.4rem !important;
        transform: translateY(-3px) !important;
      }
      span {
        display: none;
      }
    }
  }
}
